%%%%%%%%%%% Reinforcement Problem 5.5 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
disp('Reinforcement Problem 5.5')

Ts = 1/100;
kT = [0:Ts:1]';   
e_1 = ones(size(kT));    % constant signal
figure, dplot(kT,e_1)

e_2 = cos(100*2*pi*kT);  % periodic signal
figure, dplot(kT,e_2)

e_3 = sin(200*2*pi*kT + pi/2)
figure, dplot(kT,e_3)
%%%%%%%%%%