%    Resets  sizes & line widths for root-locus 
%	 to Matlab's defaults X & O markers
%------------------------------------------------------
% NB: defaults values are 0.5 for linewidth & 6 for 'o' & 'x'
%------------------------------------------------------

%%%%%%%%%%%%%%%% reset_xo_size.m %%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

set(findobj('marker','o'),'markersize',6)
set(findobj('marker','o'),'linewidth',0.5)

set(findobj('marker','x'),'markersize',6)
set(findobj('marker','x'),'linewidth',0.5)

disp('setting marker sizes to X=6 & O=6')
disp('setting both marker line widths = 0.5')
%%%%%%%%%%