function Y = small20(X,small)
%        Zeros out small numbers in an array.
%Inputs:  X - an array with some small elements that
%              are to be replaced by zero
%        small - max absolute value of numbers to be  
%              set to zero
%Output: Y - X array with small elements set to zero

%%%%%%%%%%%%%%%%%% small20.m %%%%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Y = X;
vec = find(abs(X) <= abs(small) & X ~= 0);
Y(vec) = 0*vec;
%%%%%%%%%%