%%%%%%%%%%% Reinforcement Problem 10.6 %%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Lightly-damped modes ----
%
clear
disp('Reinforcement Problem 10.6')
A = [ 0.9641     0.2462     0.0303
     -0.2462     0.9641     0.1934
      0          0          0.6065]
B = [ 0.0056;    0.0528;    0.3935]
%
disp('Low gain feedback control gain')
p1 = [0.9453*exp(j*0.250); 0.9453*exp(-j*0.250); 0.5762]
F1 = place(A,B,p1)
A_cl_1 = A-B*F1
diff1 = sort(p1) - sort(eig(A_cl_1))
norm(F1)
disp('******>')
pause
disp('High gain feedback control gain')
p2 = [0.1; 0.2; 0.3]
F2 = place(A,B,p2)
A_cl_2 = A-B*F2
diff2 = sort(p2) - sort(eig(A_cl_2))
norm(F2)
%%%%%%%%%%