%%%%%%%%%%% Reinforcement Problem 2.10 %%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% --- Fourth-order system with two repeated poles ---
%
clear
disp('Reinforcement Problem 2.10')
numG = [0.3 1.0 -0.5]
denG = [1 0.6 -0.11 -0.06 0.01]
[rGoz,pGoz,otherGoz] = residue(numG,[denG 0]) 
G = tf(numG,denG,1);
[y,k] = impulse(G);
figure
stem(k,y,'filled');grid
title('Impulse response for Reinforcement Problem 2.10')
xlabel('Discrete-time')
%%%%%%%%%%