%%%%%%%%%% Reinforcement Problem 5.13 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
disp('Reinforcement Problem 5.13')

A = [-5 -2 0; 1 0 0; 0 1 0]
B = [1; 0; 0], C = [1 0 2], D = 0
Ts = 0.05
Gs = ss(A,B,C,D)
Gz = c2d(Gs,Ts,'zoh')
Kz = ss(0.6,1,0.5,0,Ts)
Gcl = feedback(Gz*Kz,1)
pCL = pole(Gcl)
abs(pCL)
angle(pCL)
%%%%%%%%%%